Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.errai.reflections.util
Class Utils

    java.lang.Object
      org.jboss.errai.reflections.util.Utils

    public abstract class Utils

extends java.lang.Object

a garbage can of convenient methods

Constructor Summary
`Utils()`

Method Summary
`static void` | `close(java.io.InputStream inputStream)`
`static java.lang.reflect.Field` | `getFieldFromString(java.lang.String field)`
`static java.lang.reflect.Method` | `getMethodFromDescriptor(java.lang.String descriptor)`
`static boolean` | `isEmpty(java.lang.String s)` isEmpty compatible with Java 5
`static java.io.File` | `prepareFile(java.lang.String filename)`
`static java.lang.String` | `repeat(java.lang.String string, int times)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### repeat

    public static java.lang.String repeat(java.lang.String string,
                                          int times)

### isEmpty

    public static boolean isEmpty(java.lang.String s)

  isEmpty compatible with Java 5

### prepareFile

    public static java.io.File prepareFile(java.lang.String filename)

### getMethodFromDescriptor

    public static java.lang.reflect.Method getMethodFromDescriptor(java.lang.String descriptor)
                                                            throws ReflectionsException

  Throws:
    `ReflectionsException`

### getFieldFromString

    public static java.lang.reflect.Field getFieldFromString(java.lang.String field)

### close

    public static void close(java.io.InputStream inputStream)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.